DSRA_PACKET(3)

FUNCTION
dsra_packet - Read ASCII representation of a data packet.

SYNOPSIS
#include <karma_dsra.h>

flag dsra_packet

(Channel channel, packet_desc *descriptor, char *packet)

DESCRIPTION
This routine will read the ASCII representation of a data packet. The routine will recursively read in sub arrays and linked lists.

channel
    The channel object to read from.

descriptor
    The packet descriptor.

packet
    The packet data will be written here. The packet storage must already have been allocated.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/